zorp (3.9.5-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/remove-ssl3.patch:
    - remove deprecated SSL3 function to fix FTBFS with
      recent openssl (Closes: #805112).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2016 11:10:43 +0200

zorp (3.9.5-7) unstable; urgency=medium

  * [1c630b8] Added a basic autopkgtest test case.
    This test install the zorp packages and test if a connection
    can go through it.

 -- SZALAY Attila <sasa@debian.org>  Tue, 30 Jun 2015 21:59:09 +0200

zorp (3.9.5-6) experimental; urgency=low

  * Bump the version because this is the easiest way to me to re-upload after
    a bad signature.

 -- SZALAY Attila <sasa@debian.org>  Wed, 27 May 2015 06:46:39 +0200

zorp (3.9.5-5) experimental; urgency=low

  * [8700313] Added watchfile
  * [2d4c687] Re-started writing debian/rules with the help of the dh
  * [722600d] Added needed dependency for dh_autoreconf
  * [dc29b35] Added needed parameters to dh_auto_configure
  * [4a288e7] Added dh-python to the build/dependencies
  * [7631383] Re-added dh_python and dh_strip rules
  * [e06780a] Temporaly added some needed change to the upstream code to compile.
    This is a work-in-progress changes needed to compile the code.

 -- SZALAY Attila <sasa@ubainba.hu>  Wed, 27 May 2015 05:27:56 +0200

zorp (3.9.5-4) unstable; urgency=low

  * [2042258] Added TODO file
  * [97c4b74] Added python-radix dependency (Closes: #666196)

 -- SZALAY Attila <sasa@debian.org>  Sat, 31 Mar 2012 14:47:03 +0200

zorp (3.9.5-3) unstable; urgency=low

  * [811fb06] Fixed a typo what installed the same file into two
    package. Hopefully no other install problem will appear because I
    created a test system where I test the package install and upgrade
    from test and stable systems. (Closes: #665336)
  * [ffbc012] Added replace lines to ease the upgrade from stable
    system.

 -- SZALAY Attila <sasa@debian.org>  Mon, 26 Mar 2012 01:21:49 +0200

zorp (3.9.5-2) unstable; urgency=low

  * With upstream approve library versioning scheme changed.
    Closes: #663686, #663549
  * Changed package name to follow library version change.

 -- SZALAY Attila <sasa@debian.org>  Tue, 20 Mar 2012 20:14:45 +0100

zorp (3.9.5-1) unstable; urgency=low

  * New upstream version
  * Re-generated quilt patches after rebasing to the new upstream.
  * Use the newly implemented --disable-werror option
  * Added changelog entry for the new release.
  * Removed bogus compile_problems patch.
  * Removed bogus and unimportant upstream Makefiles
  * Adjusted debian packaging to the upstream changes.
  * Library version changed from 3.9-0 to 3.9-5

 -- SZALAY Attila <sasa@debian.org>  Sun, 11 Mar 2012 17:51:40 +0100

zorp (3.9.3-2) unstable; urgency=low

  * Added Breaks clause to instrument dpkg to upgrade libzorp3.9-0 first
    (Closes: #659187)

 -- SZALAY Attila <sasa@debian.org>  Sat, 25 Feb 2012 14:39:50 +0100

zorp (3.9.3-1) unstable; urgency=low

  * New upstream version
  * Added anypy directory to make configure happy
  * Changed zorp program install dir name to pkglibexec
  * Fixed some more compilation problem.
  * Fixed packaging after upstream removed all debian-related files.
  * Remove .la files from zorp-modules package.
  * Reverted zorp-modules.conffiles addition.
  * Moved from dh_movefiles to dh_install
  * Added fail-missing option to dh_install
  * Added exclude list for dh_install
  * Removed zorp-config from libzorp3.9-0.

 -- SZALAY Attila <sasa@debian.org>  Mon, 06 Feb 2012 23:46:33 +0100

zorp (3.9.2-4) unstable; urgency=medium

  * Declared conflict between the old zorp-modules and the new
    zorp package because the Pssl.py moved to the former. Closes: #657054

 -- SZALAY Attila <sasa@debian.org>  Wed, 25 Jan 2012 07:16:23 +0100

zorp (3.9.2-3) unstable; urgency=low

  * Fixed some compilation problem caused by python2.7. Closes: #644494

 -- SZALAY Attila <sasa@debian.org>  Thu, 06 Oct 2011 22:45:36 +0200

zorp (3.9.2-2) unstable; urgency=low

  * Upgraded to policy version 3.9.2
  * Remove /var/lib/zorp directory at purge.
  * Added build-arch and build-indep target to the debian/rules.

 -- SZALAY Attila <sasa@debian.org>  Thu, 15 Sep 2011 14:42:47 +0200

zorp (3.9.2-1) unstable; urgency=low

  * New upstream version
  * Fixed compilation problems.
  * Removed .la files. Closes: #633221
  * Fixed a typo in libzorp3.9-0 package description. Closes: #631010

 -- SZALAY Attila <sasa@debian.org>  Tue, 30 Aug 2011 21:22:14 +0200

zorp (3.9.0-4) unstable; urgency=low

  * Fixed compilation problems with openssl version 1.0 Closes: #621884
  * Fixed libzorp package description. Closes: #590870, #596109

 -- SZALAY Attila <sasa@debian.org>  Tue, 10 May 2011 21:33:40 +0200

zorp (3.9.0-3) experimental; urgency=low

  * Strict the compilation into Linux systems because of some kernel
    dependency (for example tproxy)

 -- SZALAY Attila <sasa@debian.org>  Thu, 05 May 2011 21:01:09 +0200

zorp (3.9.0-2) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format

 -- SZALAY Attila <sasa@debian.org>  Fri, 11 Mar 2011 22:00:03 +0100

zorp (3.9.0-1) experimental; urgency=low

  * New upstream version

 -- SZALAY Attila <sasa@debian.org>  Mon, 07 Mar 2011 23:06:35 +0100

zorp (3.3.6-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Add to libzorp0: "Replaces: "libzorp2; Breaks: libzorp2" to fix error
    when upgrading from lenny (closes: #601991). Thanks to Marcos Marado
    for the hint.

 -- Ralf Treinen <treinen@debian.org>  Thu, 11 Nov 2010 15:28:28 +0100

zorp (3.3.6-1) unstable; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@debian.org>  Tue, 29 Jun 2010 17:18:42 +0200

zorp (3.0.8-0.5) unstable; urgency=high

  * Non-maintainer upload.
  * Force using python2.4. Closes: #506700.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 23 Nov 2008 21:54:36 +0100

zorp (3.0.8-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Use PyObject_Del instead of PyMem_DEL. (Closes: #469012).
  * zorp suggests zorp-doc. (Closes: #392141).
  * LSB formatted init script. (Closes: #469115).
    + Thanks to Petter Reinholdtsen.

 -- Barry deFreese <bddebian@comcast.net>  Mon, 03 Mar 2008 10:44:13 -0500

zorp (3.0.8-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * debian/rules: Explicitly run aclocal-1.7 instead of aclocal (FTBFS with
    aclocal-1.9).
  * configure.in: Set datadir and libdir to ${prefix}/share and ${prefix}/lib.
    This is fixed upstream in version 3.0.14b with more intrusive changes in
    the build system. Note that ./configure --datadir and --libdir won't work.
    Closes: #413933
  * Thanks to Nicolas Francois for the patch.
  * Also fix the clean target to use make distclean, not just make
    clean.
  * The previous change requires setting ZORP_PACKAGE_LICENSE=gpl when
    calling configure to avoid another FTBFS.

 -- Steve Langasek <vorlon@debian.org>  Sun, 18 Mar 2007 20:54:44 -0700

zorp (3.0.8-0.2) unstable; urgency=high

  * Non-maintainer upload to fix release critical bug.
  * Downgrade Depends of zorp-modules on zorp to a Recommends;
    remove cyclic dependency that broke purge (Closes: #389769).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 10 Oct 2006 15:58:17 +0200

zorp (3.0.8-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: 380994).
  * Make the package binNMUable (use ${source:Version}).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  3 Sep 2006 23:40:28 +0200

zorp (3.0.8) unstable; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@debian.org>  Tue, 24 Jan 2006 19:35:29 +0000

zorp (3.0.5) unstable; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@debian.org>  Mon, 31 Oct 2005 16:07:32 +0000

zorp (2.0.9-10) unstable; urgency=high

  * Fixed FTBFS bug by Christian Hammers <ch@debian.org>. Closes: #304666

 -- SZALAY Attila <sasa@debian.org>  Wed, 25 May 2005 19:42:51 +0200

zorp (2.0.9-9) unstable; urgency=low

  * Fixed invalid lvalue in test_registry. Closes: #290446

 -- Magosányi Árpád (mag) <mag@debian.org>  Tue, 18 Jan 2005 10:17:54 +0000

zorp (2.0.9-8) unstable; urgency=low

  * tests are disabled for now. Closes: #280947

 -- Magosányi Árpád (mag) <mag@debian.org>  Mon, 22 Nov 2004 21:53:00 +0100

zorp (2.0.9-6) unstable; urgency=low

  * makes tests runnable. Closes: #275978

 -- Magosányi Árpád (mag) <mag@debian.org>  Sat, 30 Oct 2004 15:12:05 +0200

zorp (2.0.9-5) unstable; urgency=low

  * fixes python2.3 related crash. Closes: 262233
  * we now have tests

 -- Magosányi Árpád (mag) <mag@debian.org>  Mon, 13 Sep 2004 16:47:24 +0200

zorp (2.0.9-4) unstable; urgency=low

  * fixed libzorpll build-dependency

 -- Magosányi Árpád (mag) <mag@debian.org>  Sun, 25 Jul 2004 06:22:01 +0000

zorp (2.0.9-3) unstable; urgency=low

  * made libzorpll dependencies more explicit. Closes: #255734
  * fixed instances.conf manpage section
  * dropped g++ dependency, which has been brought in because an autoconf
    problem
  * added zorp-config manpage to libzorp2

 -- Magosányi Árpád (mag) <mag@debian.org>  Fri,  9 Jul 2004 06:27:28 +0000

zorp (2.0.9-2) unstable; urgency=low

  * Build with newer libzorpll
  * Changelog and control are properly UTF-8

 -- Magosányi Árpád (mag) <mag@debian.org>  Sun, 13 Jun 2004 23:17:34 +0200

zorp (2.0.9-1) unstable; urgency=low

  * Merged in upstream changes

 -- Magosányi Árpád (mag) <mag@debian.org>  Sat, 12 Jun 2004 01:04:49 +0200

zorp (2.0.8-3) unstable; urgency=low

  * Signedness bug. Closes: #177287
  * Fixed the init script. Closes: #240355
  * Fixed the uploader field in debian/control

 -- Magosányi Árpád (mag) <mag@debian.org>  Fri, 16 Apr 2004 14:51:33 +0000

zorp (2.0.8-2) unstable; urgency=low

  * New upstream version
  * 2.0.2-2 closed some bugs. Closes: #220911
  * Build with the correct python version for python-extclass. (hopefully) Closes: #220916

 -- Magosányi Árpád (mag) <mag@debian.org>  Fri, 12 Mar 2004 14:46:50 +0100

zorp (2.0.8-1) unstable; urgency=low

  * Unreleased

 -- Magosányi Árpád (mag) <mag@debian.org>  Wed, 10 Dec 2003 14:58:52 +0100

zorp (2.0.7-2) unstable; urgency=low

  * install instances.conf Closes: #220911
  * sets ulimit to 65532. Works around #221257

 -- Magosányi Árpád (mag) <mag@debian.org>  Tue,  2 Dec 2003 12:18:12 +0100

zorp (2.0.7-1) unstable; urgency=low

  * new upstream version
  * regenerate all generated files, brings in build dependency on autoconf
  * rearranged some includes to make gcc happy

 -- Magosányi Árpád (mag) <mag@debian.org>  Wed,  5 Nov 2003 01:35:44 +0100

zorp (2.0.6.3-1-2) unstable; urgency=low

  * added /var/lib/zorp to zorp
  * made shlib dependency computing simpler
  * added lintian and linda override for etc/zorp permission
  * some changes to the documentation
  * libzorp2-de is libdevel now
  * byte-compiling in postinst and removing .pyc, .pyo in prerm per python
    policy

 -- Magosányi Árpád (mag) <mag@debian.org>  Sun, 26 Oct 2003 22:30:28 +0100

zorp (2.0.6.3-1-1) unstable; urgency=low

  * add myself to maintainers
  * bumped up Standards-Version
  * added manpage for zorp-config
  * removed dot from end of short descriptions
  * fixed build dependency to debhelper
  * fixed (s)in copyright
  * cleaning config.{log,status,cache} in cleanup
  * other fixes to make lintian happier

 -- Magosányi Árpád (mag) <mag@debian.org>  Thu, 16 Oct 2003 00:21:00 +0200

zorp (2.0.6.3-1) zorp20gpl; urgency=low

  * New upstream version

 -- Balazs Scheidler <bazsi@bzorp.balabit>  Thu,  9 Oct 2003 10:27:24 +0200

zorp (2.0.6-1) zorp20gpl; urgency=low

  * New upstream version.
  * Fix Build dependency. (libzorpll version): Closes: #213117

 -- Szalay Attila <sasa@mochrul.balabit>  Mon, 29 Sep 2003 16:31:41 +0200

zorp (2.0.5.13-2) zorp20gpl; urgency=low

  * Don't install deleted files.

 -- Szalay Attila <sasa@mochrul.balabit>  Thu, 18 Sep 2003 10:34:21 +0200

zorp (2.0.5.13-1) zorp20gpl; urgency=low

  * New upstream version.
  * Rearrange doc-base lines. Closes: #195208

 -- Szalay Attila <sasa@mochrul.balabit>  Thu, 18 Sep 2003 10:15:28 +0200

zorp (2.0.5.12-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Wed, 17 Sep 2003 15:09:29 +0200

zorp (2.0.5.10-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Thu, 21 Aug 2003 11:36:17 +0200

zorp (2.0.5.9-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Tue, 19 Aug 2003 15:22:52 +0200

zorp (2.0.5.8-1) zorp20gpl; urgency=low

  * New upstream version

 -- SZALAY Attila <sasa@balabit.hu>  Sat, 16 Aug 2003 01:30:30 +0200

zorp (2.0.5.7-1) zorp20gpl; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@balabit.hu>  Sat, 16 Aug 2003 00:51:21 +0200

zorp (2.0.5.6-1) zorp20gpl; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@balabit.hu>  Fri, 15 Aug 2003 23:06:53 +0200

zorp (2.0.5.5-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Fri, 15 Aug 2003 17:08:16 +0200

zorp (2.0.5.1-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Fri,  1 Aug 2003 17:42:45 +0200

zorp (2.0.5-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Thu, 31 Jul 2003 19:26:55 +0200

zorp (2.0.4.16-2) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Tue, 29 Jul 2003 17:55:15 +0200

zorp (2.0.4.10-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Mon, 14 Jul 2003 16:04:29 +0200

zorp (2.0.4.2-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Mon, 23 Jun 2003 18:18:30 +0200

zorp (2.0.4-1) zorp20gpl; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@mochrul.balabit>  Mon, 16 Jun 2003 14:56:11 +0200

zorp (2.0.3.10-1) zorp20gpl; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@debian.org>  Mon,  2 Jun 2003 15:08:53 +0200

zorp (2.0.3.9-1) zorp20gpl; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@debian.org>  Thu, 29 May 2003 16:02:52 +0200

zorp (2.0.3.4-1) zorp20gpl; urgency=low

  * New upstream version.
  * Recompile with openssl 0.9.7 Closes: #187790
  * Remove dead include in Authentication
    (it's only in commercial version) Closes: #187550

 -- SZALAY Attila <sasa@debian.org>  Tue, 27 May 2003 23:08:21 +0200

zorp (2.0.2.12-1) unstable; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@debian.org>  Sat, 26 Apr 2003 16:50:36 +0200

zorp (2.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@debian.org>  Thu,  6 Mar 2003 21:30:51 +0100

zorp (2.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@debian.org>  Tue, 28 Jan 2003 19:32:36 +0100

zorp (2.0rc3-1) unstable; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@debian.org>  Mon, 27 Jan 2003 12:03:34 +0100

zorp (2.0rc2-1) unstable; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@debian.org>  Tue, 21 Jan 2003 16:02:20 +0100

zorp (2.0pre28-2) unstable; urgency=low

  * Build-depend on libcap-dev. Closes: #171382
  * Untar html documentation, and register it in doc-base.
    It's happend in 2.0pre28-1, but I forgot to write. Closes: #170265
  * Fix doc-base template. Closes: #171026

 -- SZALAY Attila <sasa@debian.org>  Tue,  3 Dec 2002 06:06:08 +0100

zorp (2.0pre28-1) unstable; urgency=low

  * News upstream version.

 -- Szalay Attila <sasa@debian.org>  Thu, 28 Nov 2002 16:34:07 +0100

zorp (2.0pre26-1) unstable; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@debian.org>  Mon, 25 Nov 2002 19:10:32 +0100

zorp (2.0pre25-1) unstable; urgency=low

  * New upstream version.

 -- Szalay Attila <sasa@debian.org>  Tue, 19 Nov 2002 16:48:55 +0100

zorp (2.0pre21-1) unstable; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@debian.org>  Sat,  2 Nov 2002 00:20:16 +0100

zorp (2.0pre1-1) unstable; urgency=low

  * New upstream version.

 -- SZALAY Attila <sasa@debian.org>  Sun, 27 Oct 2002 09:23:58 +0100

zorp (1.5.2-1) unstable; urgency=low

  * Initial release

 -- Szalay Attila <sasa@debian.org>  Sat, 17 Aug 2002 14:13:14 +0200
